Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.trmi
Class _CompositeTransactionServer_Stub

    java.lang.Object
      org.omg.CORBA.portable.ObjectImpl
          org.omg.CORBA_2_3.portable.ObjectImpl
              javax.rmi.CORBA.Stub
                  com.atomikos.icatch.trmi._CompositeTransactionServer_Stub

All Implemented Interfaces:
  CompositeTransactionServer, Serializable, Remote, Object

    public class _CompositeTransactionServer_Stub

extends Stub
implements CompositeTransactionServer

See Also:
  Serialized Form

Constructor Summary
`_CompositeTransactionServer_Stub()`

Method Summary
`String[]` | `_ids()`
`com.atomikos.icatch.trmi.RecoveryCoordinatorProxy` | `addParticipant(Participant arg0, String arg1)` Add a new participant to the transaction of the given tid.
`void` | `addSubTxAwareParticipant(SubTxAwareParticipant arg0, String arg1)` Add a subtx aware participant to the given tx.

Methods inherited from class javax.rmi.CORBA.Stub
`connect, equals, hashCode, toString`

Methods inherited from class org.omg.CORBA_2_3.portable.ObjectImpl
`_get_codebase`

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### _CompositeTransactionServer_Stub

    public _CompositeTransactionServer_Stub()

Method Detail

### _ids

    public String[] _ids()

  Specified by:
    `_ids` in class `ObjectImpl`

### addParticipant

    public com.atomikos.icatch.trmi.RecoveryCoordinatorProxy addParticipant(Participant arg0,
                                                                            String arg1)
                                                                     throws RemoteException

  Description copied from interface: `CompositeTransactionServer`
  Add a new participant to the transaction of the given tid.

  Specified by:
    `addParticipant` in interface `CompositeTransactionServer`
  Returns:
    RecoveryCoordinatorProxy Whom to ask for indoubt timeout resolution.
  Throws:
    `RemoteException`

### addSubTxAwareParticipant

    public void addSubTxAwareParticipant(SubTxAwareParticipant arg0,
                                         String arg1)
                                  throws RemoteException

  Description copied from interface: `CompositeTransactionServer`
  Add a subtx aware participant to the given tx.

  Specified by:
    `addSubTxAwareParticipant` in interface `CompositeTransactionServer`
  Parameters:
    `arg0` - The participant to add, will be notified on end().
    `arg1` - The ID of the transaction to which the participant must be added.
  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.